OSPlus Text Editor - Open Source Version
Version 2.1.1

Copyright (c) Owen Rudge 2000-2005
==================================

Thanks for downloading the source code to the OSPlus Text Editor! This has
evolved a fair bit since it was closed source, and now includes features such
as sound support and file format conversion.

There are a number of different builds for the Text Editor, which are:

- Borland C++ 4.x (real mode DOS)
- DJGPP (protected mode DOS)
- DJGPP with Allegro (protected mode DOS, sound support)
- Linux
- Linux with Allegro (sound support)
- Win32 (Borland C++ Builder, or free C++ tools)
- Win32 (Microsoft Visual C++)
- Win32 (MinGW32)

There has recently been some directory reorganisation and the new system is a
lot cleaner and more logical. You will find documentation on building the Text
Editor in the docs/build directory.

A NOTE ABOUT WIN32 CONVERTERS
=============================

The Win32 and Linux versions of OSPlus Text Editor have the capability of using
Microsoft text converters (supplied with Microsoft Office, etc) to convert a
variety of text formats, including Microsoft Word format, into plain text.
(In fact, the converts convert to RTF, and that output is then passed through
the OSPlus RTF converter). The Win32 version does this by default, reading a list
of converters from the Windows Registry. On Linux, WINE must be installed and
the --with-wine option must be passed to the configure script. Also, the converter
DLL pack must be downloaded and installed - see the OSPlus web site (www.osplus.co.uk)
for more information on that.

At the moment, it is not possible to disable the use of Win32 converters on the
Windows version without editing the source code. The next version will have a
configuration option to disable or alter the behaviour of this.

DIRECTORY LAYOUT
================

The following is a list of most of the files provided in this distribution:

configure               - UNIX shell script for configuring make process
configure.bat           - DOS batch file for configuring make process
Makefile                - Makefile for DJGPP, MinGW32, Linux
makefile.cfg            - Makefile configuration file (generated by configure)
ospedit.dsw             - Borland C++ IDE desktop file (DOS)
ospedit.ide             - Borland C++ IDE project file (DOS)
readme.txt              - Readme file (you're reading it now!)
realdos.mak             - Real-mode DOS (Borland C++) makefile
w32msvc.mak             - Win32 (MSVC) makefile
win32.mak               - Win32 (Borland C++) makefile

bin/                    - Binaries
docs/                   - Documentation
docs/build/             - Build documentation
obj/                    - Object files

src/about.dlg           - About Text Editor dialog (requires Dialog Designer)
src/aboutdlg.cpp        - About Text Editor dialog source code
src/aboutdlg.h          - About Text Editor source header
src/aboutosp.cpp        - About OSPlus dialog source code
src/aboutosp.dlg        - About OSPlus dialog (for DLGDSN)
src/aboutosp.h          - About OSPlus dialog source code
src/calc.cpp            - Calculator accessory for BC (DOS) version
src/calc.h              - Calculator header for BC (DOS) version
src/cnvinfo.cpp         - Converter Information window source
src/cnvinfo.h           - Header file for Converter Information window
src/config.c            - Configuration file routines
src/config.h            - Configuration file routines - header
src/convert.c           - File conversion routines
src/convert.h           - Header for file conversion routines
src/djgpp.c             - DJGPP/Linux (Allegro)-specific sound routines
src/gemsnd.c            - GEM Sound Driver bindings (BC version)
src/gemsnd.h            - GEM Sound Driver bindings header
src/libc.c              - libc emulation functions for Linux without Allegro
src/ospedit.h           - OSPlus Text Editor header
src/ospedit.rc          - Resource file for Win32 version
src/ospedit1.cpp        - Main source code
src/ospedit2.cpp        - Main source code
src/ospedit3.cpp        - Main source code
src/ospver.h            - OSPlus Text Editor version information header
src/realdos.c           - Borland C++-specific sound-related routines
src/realdos.h           - DOS-specific functions header file
src/sound.c             - High-level sound routines
src/sound.h             - High-level sound routines (header)
src/unicode.c           - Unicode routines (used by config.c)
src/unicode.h           - Unicode routines - header file
src/verinfo.cpp         - Version information dialog source code
src/verinfo.dlg         - Version information dialog
src/verinfo.h           - Version information dialog - header file
src/win32.c             - Win32-specific sound routines

src/convert/msconv.c    - Microsoft converter layer
src/convert/msconv.rc   - Microsoft converter layer resource script for Win32
src/convert/msconv.wine - Shell script for WINE version of msconv.cnv (Linux)
src/convert/rtfactn.c   - RTF to TXT converter
src/convert/rtfdecl.h   - RTF to TXT converter
src/convert/rtfreadr.c  - RTF to TXT converter
src/convert/rtftype.h   - RTF to TXT converter
src/convert/txtrtf.rc   - Resource file for Win32 version of txtrtf
src/convert/txtwrite.c  - Windows Write to RTF converter 
src/convert/txtwrite.rc - Resource file for Win32 version of txtwrite

CONTACT INFORMATION
===================

Web site:         http://www.osplus.co.uk/
Open Source site: http://osplus.sourceforge.net/

If you have any questions or comments, please e-mail me at owen[at]owenrudge[dot]net.
I've probably forgotton something important from the Readme, so if you notice
anything missing, e-mail me! ;-)

Happy hacking!

-- 
Owen Rudge, 31st March 2005
http://www.owenrudge.net/

For other contact methods, see http://www.owenrudge.net/contact
